# numerology

This package provides vary functions to calculate Numerology numbers such as:

* [Ruling number](https://www.rulingnumber.com/#:~:text=For%20example%2C%20in%20Pythagorean%20Numerology, %2C%20and%2022%2F4.)
* [Personal Year, Month, Day](https://affinitynumerology.com/using-numerology/your-personal-years-months-and-days.php#:~:text=Calculating%20the%20Numerology%20Personal%20Year, sum%20is%20less%20than%2010.)
* [Life Path number](https://www.allure.com/story/numerology-how-to-calculate-life-path-destiny-number)
* [Attitude Number](https://feliciabender.com/the-attitude-number/)

## Usage

### Calculate Ruling number

``` dart
final nc = NumerologyCalculator();
final birthday = DateTime(2000,1,1); // 01-01-2000
final rulingNumber = nc.rulingNumber(birthday); // 2 + 1 + 1 = 5
print(rulingNumber); // 5
```

## Flutter package information

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/), 
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.
